summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrançois Andriot <albator78@libertysurf.fr>2019-03-28 19:43:31 +0100
committerFrançois Andriot <albator78@libertysurf.fr>2019-03-28 19:45:42 +0100
commitee614c136cd3aa1ef5f122b327744a20fff7c82b (patch)
tree9778a57b8b250e39bdefe2b35eae253e9bafcedb
parent0a52c32c5d9e3ab3effd85d98e214df91b19f823 (diff)
downloadtde-packaging-ee614c136cd3aa1ef5f122b327744a20fff7c82b.zip
tde-packaging-ee614c136cd3aa1ef5f122b327744a20fff7c82b.tar.gz
RPM: update build scripts for pclinuxos
-rw-r--r--redhat/Makefile.r142
-rw-r--r--redhat/docker/pclinuxos.pkg159
-rwxr-xr-xredhat/docker/pclinuxos.sh179
-rw-r--r--redhat/docker/pclinuxos/Dockerfile.x86_644
-rw-r--r--redhat/docker/pclinuxos/packages.x86_642
-rw-r--r--redhat/main/tdebase/tdebase.spec2
6 files changed, 192 insertions, 156 deletions
diff --git a/redhat/Makefile.r14 b/redhat/Makefile.r14
index 491bdec..57eb8eb 100644
--- a/redhat/Makefile.r14
+++ b/redhat/Makefile.r14
@@ -576,9 +576,7 @@ kooldock: tdebase
$(call buildpkg,applications/kooldock)
kopete-otr: tdebase tdenetwork
-ifeq (,$(filter $(DIST),.pclos2018))
$(call buildpkg,applications/kopete-otr)
-endif
kpicosim: tdebase
$(call buildpkg,applications/kpicosim)
diff --git a/redhat/docker/pclinuxos.pkg b/redhat/docker/pclinuxos.pkg
new file mode 100644
index 0000000..d1ad003
--- /dev/null
+++ b/redhat/docker/pclinuxos.pkg
@@ -0,0 +1,159 @@
+apt
+apt-common
+apt-sources-list
+bash
+bzip2
+chkconfig
+common-licenses
+coreutils
+cpio
+cracklib-dicts
+crypto-policies
+dash-static
+diffutils
+e2fsprogs
+fdupes
+file
+filesystem
+findutils
+fuse
+gawk
+gdk-pixbuf2.0
+glibc
+glibc-devel
+gnupg
+gnutls
+grep
+gzip
+icu56-data
+info-install
+kernel-userspace-headers
+krb5
+ldetect-lst
+less
+lib64acl1
+lib64apt-pkg0
+lib64attr1
+lib64audit1
+lib64audit-devel
+lib64blkid1
+lib64bsd0
+lib64bzip2_1
+lib64cap2
+lib64cdio12
+lib64crack2
+lib64curl4
+lib64db4.8
+lib64dbnss4.8
+lib64elfutils1
+lib64ext2fs2
+lib64fdisk1
+lib64ffi6
+lib64fuse2
+lib64gdbm3
+lib64gdk_pixbuf2.0_0
+lib64gio2.0_0
+lib64glib2.0_0
+lib64gmp10
+lib64gnutls30
+lib64icu56
+lib64idn2_0
+lib64intl8
+lib64iso9660_7
+lib64jasper1
+lib64jbig1
+lib64jpeg62
+lib64jpeg8
+lib64keyutils1
+lib64krb53
+lib64ldap2.4_2
+lib64libcap-ng0
+lib64lua5.1
+lib64lzma5
+lib64magic1
+lib64mount1
+lib64mpfr4
+lib64ncurses5
+lib64ncurses6
+lib64ncursesw6
+lib64nettle6
+lib64notify4
+lib64nspr4
+lib64nss3
+lib64openssl1.0.0
+lib64openssl1.1
+lib64opts25
+lib64pam0
+lib64pam-devel
+lib64pam_userpass1
+lib64pcre1
+lib64pcre2_0
+lib64pcre-compatible0
+lib64png16_16
+lib64png3
+lib64popt0
+lib64psl5
+lib64readline7
+lib64rpm1
+lib64rtmp1
+lib64sasl2
+lib64sigsegv2
+lib64smartcols1
+lib64sqlite3_0
+lib64ssh2_1
+lib64tasn1_6
+lib64tcb0
+lib64tiff3
+lib64tiff5
+lib64udev0
+lib64unistring2
+lib64usb1.0_0
+lib64usb-compat0.1_4
+lib64uuid1
+lib64verto1
+lib64x11_6
+lib64xau6
+lib64xdmcp6
+lib64xml2_2
+libgcc1
+libidn2-i18n
+libnotify
+libstdc++6
+libxcb
+makedev
+mktemp
+ncurses
+nss
+nss_tcb
+openldap
+openssl
+p11-kit
+pam
+pam_tcb
+perl
+perl-base
+perl-File-Sync
+perl-MDK-Common
+pkgconfig
+popt-data
+procps
+publicsuffix-list-dafsa
+rmt
+rootcerts
+rpm
+rpm-helper
+rpm-pclinuxos-setup
+rpm-rambo-setup
+run-parts
+sed
+setup
+shadow-utils
+tcb
+udev
+update-alternatives
+usbutils
+util-linux-ng
+uuidd
+which
+xz
+zlib1
diff --git a/redhat/docker/pclinuxos.sh b/redhat/docker/pclinuxos.sh
index 3791afc..e4ed685 100755
--- a/redhat/docker/pclinuxos.sh
+++ b/redhat/docker/pclinuxos.sh
@@ -1,170 +1,49 @@
-#!/bin/bash
+#!/bin/bash -ex
NAME="pclinuxos"
VERSION="$1" # E.g: '26'
IMAGE="${NAME}:${VERSION}"
INSTALLROOT="/dev/shm/${IMAGE}"
+grep -qw "${INSTALLROOT}/dev" /proc/mounts && sudo umount "${INSTALLROOT}/dev"
sudo rm -rf "${INSTALLROOT}"
sudo mkdir -p "${INSTALLROOT}"
+LANG=C
+
MIRROR="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/pclinuxos/pclinuxos/apt/pclinuxos/64bit"
-cd /dev/shm
-wget -c \
- "${MIRROR}/RPMS.x86_64/bash-4.3-48.1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/glibc-2.20-10pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rpm-4.8.1-10pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64readline6-6.3-4pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ncurses5-5.9-9pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rpm-helper-0.23.5-1pclos2015.noarch.rpm" \
- "${MIRROR}/RPMS.x86_64/mktemp-1.7-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/setup-2.7.17-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/findutils-4.6.0-3pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/run-parts-3.2.1-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/shadow-utils-4.1.4.2-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/coreutils-8.27-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/chkconfig-1.3.37-4pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ncursesw5-5.9-9pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/gawk-4.1.2-1pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64rpm1-4.8.1-10pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/cpio-2.11-3pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/gawk-4.1.2-1pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/grep-2.28-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rpm-rambo-setup-1.1-2pclos2017.noarch.rpm" \
- "${MIRROR}/RPMS.x86_64/rpm-pclinuxos-setup-1.135-4pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64popt0-1.16-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64tcb0-1.0.3-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64pam_userpass1-1.0.2-2pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/pam_tcb-1.0.3-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64lzma5-5.2.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/bzip2-1.0.6-2pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64audit1-2.1.2-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/update-alternatives-1.9.0-1pclos2011.noarch.rpm" \
- "${MIRROR}/RPMS.x86_64/zlib1-1.2.10-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64bzip2_1-1.0.6-2pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/util-linux-ng-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64acl1-2.2.51-1pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64attr1-2.4.46-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64cap2-2.25-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64gmp10-6.1.2-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/info-install-5.0-2pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rmt-0.4b46-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64mpfr4-3.1.4-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64sigsegv2-2.10-2pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/dash-static-0.5.6.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/filesystem-2.1.9-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/dash-static-0.5.6.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64pcre2_0-10.23-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64pcre1-8.36-1pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/xz-5.2.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/ncurses-5.9-9pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/libgcc1-4.9.2-2pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/libstdc++6-4.9.2-2pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64uuid1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64udev0-168-6pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64smartcols1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64mount1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64fdisk1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64libcap-ng0-0.7.7-1pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64blkid1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/udev-168-6pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64iso9660_7-0.93-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64blkid1-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/diffutils-3.3-1pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64usb1.0_0-1.0.21-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/openssl-1.0.2l-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64cdio12-0.93-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64pcre-compatible0-8.21-1pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/popt-data-1.16-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64db4.8-4.8.30-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64elfutils1-0.166-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64lua5.1-5.1.5-1pclos2012.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64magic1-5.31-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64nspr4-4.14-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64nss3-3.28.4-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64sqlite3_0-3.1070-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rootcerts-20170401.00-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/ldetect-lst-0.2.8-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/nss-3.28.4-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/perl-base-5.22.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/gzip-1.8-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/usbutils-007-1pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64notify4-0.7.7-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/less-487-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64glib2.0_0-2.52.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64gio2.0_0-2.52.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/gdk-pixbuf2.0-2.36.7-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/tcb-1.0.3-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/pkgconfig-0.29-1pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64openssl1.0.0-1.0.2l-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/common-licenses-1.0-14pclos2017.noarch.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64gdk_pixbuf2.0_0-2.36.7-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64notify4-0.7.7-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/file-5.31-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ffi6-3.2.1-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/perl-5.22.3-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64tiff3-3.9.5-2pclos2012.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/libnotify-0.7.7-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64x11_6-1.6.5-2.1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64jasper1-1.900.1-3pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64jpeg8-1.4.2-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64png3-1.2.57-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/libxcb-1.12-3.1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64gdbm3-1.8.3-5pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/nss_tcb-1.0.3-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64usb-compat0.1_4-0.1.5-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64tiff5-4.0.6-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64openssl-engines1.0.0-1.0.2l-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64xau6-1.0.8-3.1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64xdmcp6-1.1.2-3.1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64jbig1-2.0-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64bsd0-0.8.3-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64icu56-56.1-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/icu56-data-56.1-1pclos2016.noarch.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64jpeg62-6b-48pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/cracklib-dicts-2.9.1-1pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64crack2-2.9.1-1pclos2014.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64dbnss4.8-4.8.30-1pclos2011.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/apt-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/gnupg-1.4.22-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64apt-pkg0-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/apt-sources-list-1.2-7pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64curl4-7.54.0-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ldap2.4_2-2.4.23-3pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/apt-common-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64xml2_2-2.9.4-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64rtmp1-2.4-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ssh2_1-1.6.0-1pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/openldap-2.4.23-3pclos2015.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64sasl2-2.1.23-3pclos2013.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64krb53-1.15.1-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/krb5-1.15.1-2pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64keyutils1-1.2-6pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64verto1-0.2.6-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64ext2fs2-1.43.1-2pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/e2fsprogs-1.43.1-2pclos2016.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/uuidd-2.30.1-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/lib64audit-devel-2.1.2-3pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/glibc-devel-2.20-10pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/glibc-headers-devel-4.9.4-1pclos2017.x86_64.rpm" \
- "${MIRROR}/RPMS.x86_64/rpm-pclinuxos-setup-1.135-5pclos2017.x86_64.rpm" \
- "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/lib64pam0-1.1.4-1pclos2011.x86_64.rpm" \
- "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/pam-1.1.4-1pclos2011.x86_64.rpm" \
- "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/lib64pam-devel-1.1.4-1pclos2011.x86_64.rpm" \
- "http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/6/x86_64/media/core/release//fdupes-1.51-6.mga6.x86_64.rpm" \
+curl "${MIRROR}/RPMS.x86_64/" | sed -n "/a href/ s|.*href=\"\(.*\)\.rpm\".*|\1.rpm|p" >"/dev/shm/pkg.list"
+
+mkdir -p "/dev/shm/packages"
+while read pkg; do
+ file="$(grep "^$pkg-[0-9]" /dev/shm/pkg.list)"
+ [ -z "${file}" ] && exit 1
+ wget -nv -c "${MIRROR}/RPMS.x86_64/${file}" -O "/dev/shm/packages/${file}" || exit 2
+done < "pclinuxos.pkg"
+
+sudo mkdir -p "${INSTALLROOT}/dev"
+sudo mount --bind "/dev" "${INSTALLROOT}/dev"
sudo mkdir -p "${INSTALLROOT}/var/lib/rpm"
sudo rpmdb --initdb --root="${INSTALLROOT}"
-sudo rpm -Uvh \
- --root="${INSTALLROOT}" \
- *.rpm
+sudo rpm -Uvh --noscripts --root="${INSTALLROOT}" "/dev/shm/packages/"*".rpm"
+
+# Fix lzma library location
+sudo mv "${INSTALLROOT}/lib/liblzma."* "${INSTALLROOT}/lib64"
+
+# Réinstall distro from inside chroot
+sudo mount --bind "/dev/shm" "${INSTALLROOT}/dev/shm"
+sudo rm -rf "${INSTALLROOT}/var/lib/rpm"
+sudo chroot "${INSTALLROOT}" rpmdb --initdb
+sudo chroot "${INSTALLROOT}" rpm -Uvh "/dev/shm/packages/"*".rpm"
-cd -
+sudo chroot "${INSTALLROOT}" apt-get -y update
+sudo chroot "${INSTALLROOT}" apt-get -y upgrade
-sudo chroot "${INSTALLROOT}" rpmdb --rebuilddb
-sudo chroot "${INSTALLROOT}" rpmdb --rebuilddb
+sudo umount "${INSTALLROOT}/dev/shm"
+sudo umount "${INSTALLROOT}/dev"
sudo tar -C "${INSTALLROOT}" -c . >"${IMAGE}.tar"
sudo rm -rf "${INSTALLROOT}"
diff --git a/redhat/docker/pclinuxos/Dockerfile.x86_64 b/redhat/docker/pclinuxos/Dockerfile.x86_64
index 67f7893..6ace1d4 100644
--- a/redhat/docker/pclinuxos/Dockerfile.x86_64
+++ b/redhat/docker/pclinuxos/Dockerfile.x86_64
@@ -1,6 +1,6 @@
-FROM pclinuxos:2017
+FROM pclinuxos:2018
-ARG TDE_VERSION=14.0.5
+ARG TDE_VERSION=14.0.6
ARG ARCH=x86_64
# Update distribution
diff --git a/redhat/docker/pclinuxos/packages.x86_64 b/redhat/docker/pclinuxos/packages.x86_64
index e95b8fa..e6d7358 100644
--- a/redhat/docker/pclinuxos/packages.x86_64
+++ b/redhat/docker/pclinuxos/packages.x86_64
@@ -49,6 +49,7 @@ lib64cryptsetup-devel
lib64dvdread-devel
lib64exiv2-devel
lib64gif-devel
+lib64gpod4
lib64idn-devel
lib64inotifytools-devel
lib64iw29-devel
@@ -74,7 +75,6 @@ libflac-devel
libflac++-devel
libfontenc-devel
libgadu-devel
-libgpod-devel
libgstreamer0.10-devel
libical-devel
libice-devel
diff --git a/redhat/main/tdebase/tdebase.spec b/redhat/main/tdebase/tdebase.spec
index 984709a..e8e3dbe 100644
--- a/redhat/main/tdebase/tdebase.spec
+++ b/redhat/main/tdebase/tdebase.spec
@@ -3453,7 +3453,7 @@ EXEC=%{tde_bindir}/%{tdm}
FNDSESSION_EXEC="/usr/sbin/chksession -k"
%else
%if 0%{?mgaversion} >= 6
-FNDSESSION_EXEC="/usr/sbin/chksession"
+FNDSESSION_EXEC="/usr/sbin/chksession -l"
%else
FNDSESSION_EXEC="/usr/sbin/chksession --generate=/usr/share/xsessions"
%endif